import requests

from . import config

_DATA = {}

def load(force=False):
    global _DATA   # pylint: disable=global-statement
    if not _DATA or force:
        _DATA = {}
        response = requests.get(config.REPO_FILE_URL, auth=config.REGISTRY_AUTH, timeout=5)
        response.raise_for_status()
        _DATA = response.json()

def get_apps():
    load()
    return _DATA
